%define libxrender %mklibname xrender 1
Name: libxrender
Summary:  X Render Library
Version: 0.9.4
Release: %mkrel 5
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXrender-%{version}.tar.bz2
# (fc) disable Xrender on DMX (Mdk bug #19925)
Patch0: libXrender-0.9.1-dmx.patch
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
X Render Library

#-----------------------------------------------------------

%package -n %{libxrender}
Summary:  X Render Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libxrender}
X Render Library

#-----------------------------------------------------------

%package -n %{libxrender}-devel
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxrender} = %{version}
Requires: x11-proto-devel >= 1.0.0
Requires: libx11-devel >= 1.0.0
Provides: libxrender-devel = %{version}-%{release}

Conflicts: libxorg-x11-devel < 7.0

%description -n %{libxrender}-devel
Development files for %{name}

%pre -n %{libxrender}-devel
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files -n %{libxrender}-devel
%defattr(-,root,root)
%{_libdir}/libXrender.so
%{_libdir}/libXrender.la
%{_libdir}/pkgconfig/xrender.pc
%{_includedir}/X11/extensions/Xrender.h

#-----------------------------------------------------------

%package -n %{libxrender}-static-devel
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{libxrender}-devel = %{version}
Provides: libxrender-static-devel = %{version}-%{release}

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{libxrender}-static-devel
Static development files for %{name}

%files -n %{libxrender}-static-devel
%defattr(-,root,root)
%{_libdir}/libXrender.a

#-----------------------------------------------------------

%prep
%setup -q -n libXrender-%{version}
%patch0 -p1 -b .dmx

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libxrender} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libxrender} -p /sbin/ldconfig
%endif

%files -n %{libxrender}
%defattr(-,root,root)
%{_libdir}/libXrender.so.1
%{_libdir}/libXrender.so.1.3.0




%changelog
* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.9.4-5mdv2010.0
+ Revision: 425935
- rebuild

* Fri Nov 07 2008 Olivier Blin <oblin@mandriva.com> 0.9.4-4mdv2009.1
+ Revision: 300390
- rebuild for new xcb

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9.4-3mdv2009.0
+ Revision: 223084
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.

* Mon Jan 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.9.4-2mdv2008.1
+ Revision: 151687
- Update BuildRequires and rebuild.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.9.4-1mdv2008.1
+ Revision: 96067
- new release

* Mon Aug 20 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.9.3-1mdv2008.0
+ Revision: 68019
- new upstream release: 0.9.3


* Mon Feb 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.9.2-1mdv2007.0
+ Revision: 122732
- new release

* Sun Feb 18 2007 Götz Waschk <waschk@mandriva.org> 0.9.1-4mdv2007.1
+ Revision: 122268
- rebuild for pkgconfig deps

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - X11R7.1
    - increment release
    - fixed more dependencies
    - Adding X.org 7.0 to the repository

  + Frederic Crozat <fcrozat@mandriva.com>
    - Patch0 :  disable Xrender on DMX (Mdk bug #19925)
    - move ldconfig calls to correct subpackage

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

